[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScreen.Destroy

Destructor for the class instance.

## Declaration

Source position: forms.pp line 1214

`public destructor TScreen.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. Destroy ensures that screen handlers registered using AddHandler are freed. Destroy also frees resource allocated for the class instance in the Create constructor. It calls the inherited method prior to exit.

## See also

TScreen.Create |  | Constructor for the class instance.